# $Revision: 1.9 $, $Date: 2005/09/06 20:33:36 $
Summary:	GNUstep Renaissance library
Summary(pl):	Biblioteka GNUstep Renaissance
Name:		Renaissance
Version:	0.8.0
Release:	5
License:	GPL
Group:		Libraries
Source0:	http://www.gnustep.it/Renaissance/Download/%{name}-%{version}.tar.gz
# Source0-md5:	520d8fe210491b5646bb4743a72560b1
URL:		http://www.gnustep.it/Renaissance/
BuildRequires:	gnustep-gui-devel >= 0.9.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/%{_lib}/GNUstep

%define		libcombo	gnu-gnu-gnu
%define		gsos		linux-gnu
%ifarch %{ix86}
%define		gscpu		ix86
%else
# also s/alpha.*/alpha/, but we use only "alpha" arch for now
%define		gscpu		%(echo %{_target_cpu} | sed -e 's/amd64/x86_64/;s/ppc/powerpc/')
%endif

%description
GNUstep Renaissance is free software (GNU LGPL), and part of the
GNUstep project. It is a development framework which runs on top of
the GNUstep libraries. It also works on top of the Apple OSX Cocoa
libraries, providing an opaque layer to write portable applications.

%description -l pl
GNUstep Renaissance to wolnodostpne oprogramowanie (GNU LGPL) i cz
projektu GNUstep. Jest to szkielet programistyczny dziaajcy w
oparciu o biblioteki GNUstepa. Moe dziaa take w oparciu o Cocoa
z OSX Apple'a, co daje nieprzezroczyst warstw do pisania przenonych
aplikacji.

%package devel
Summary:	Header files for GNUstep Renaissance library
Summary(pl):	Pliki nagwkowe biblioteki GNUstep Renaissance
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gnustep-gui-devel >= 0.9.1

%description devel
Header files required to build applications against the GNUstep
Renaissance library.

%description devel -l pl
Pliki nagwkowe potrzebne do budowania aplikacji z uyciem biblioteki
GNUstep Renaissance.

%prep
%setup -q 

%build
. %{_prefix}/System/Library/Makefiles/GNUstep.sh
%{__make} \
	OPTFLAG="%{rpmcflags}" \
	messages=yes

%install
rm -rf $RPM_BUILD_ROOT
. %{_prefix}/System/Library/Makefiles/GNUstep.sh

%{__make} install \
	GNUSTEP_INSTALLATION_DIR=$RPM_BUILD_ROOT%{_prefix}/System

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog ANNOUNCE Documentation README TODO AUTHORS NOTES.OSX 

%dir %{_prefix}/System/Applications/GSMarkupBrowser.app
%attr(755,root,root) %{_prefix}/System/Applications/GSMarkupBrowser.app/GSMarkupBrowser
%dir %{_prefix}/System/Applications/GSMarkupBrowser.app/Resources
%{_prefix}/System/Applications/GSMarkupBrowser.app/Resources/*.desktop
%{_prefix}/System/Applications/GSMarkupBrowser.app/Resources/*.plist
%dir %{_prefix}/System/Applications/GSMarkupBrowser.app/%{gscpu}
%dir %{_prefix}/System/Applications/GSMarkupBrowser.app/%{gscpu}/%{gsos}
%dir %{_prefix}/System/Applications/GSMarkupBrowser.app/%{gscpu}/%{gsos}/%{libcombo}
%attr(755,root,root) %{_prefix}/System/Applications/GSMarkupBrowser.app/%{gscpu}/%{gsos}/%{libcombo}/GSMarkupBrowser
%{_prefix}/System/Applications/GSMarkupBrowser.app/%{gscpu}/%{gsos}/%{libcombo}/*.openapp

%dir %{_prefix}/System/Applications/GSMarkupLocalizableStrings.app
%attr(755,root,root) %{_prefix}/System/Applications/GSMarkupLocalizableStrings.app/GSMarkupLocalizableStrings
%dir %{_prefix}/System/Applications/GSMarkupLocalizableStrings.app/Resources
%{_prefix}/System/Applications/GSMarkupLocalizableStrings.app/Resources/*.desktop
%{_prefix}/System/Applications/GSMarkupLocalizableStrings.app/Resources/*.plist

%dir %{_prefix}/System/Applications/GSMarkupLocalizableStrings.app/%{gscpu}
%dir %{_prefix}/System/Applications/GSMarkupLocalizableStrings.app/%{gscpu}/%{gsos}
%dir %{_prefix}/System/Applications/GSMarkupLocalizableStrings.app/%{gscpu}/%{gsos}/%{libcombo}
%attr(755,root,root) %{_prefix}/System/Applications/GSMarkupLocalizableStrings.app/%{gscpu}/%{gsos}/%{libcombo}/GSMarkupLocalizableStrings
%{_prefix}/System/Applications/GSMarkupLocalizableStrings.app/%{gscpu}/%{gsos}/%{libcombo}/*.openapp

%{_prefix}/System/Library/Libraries/%{gscpu}/%{gsos}/%{libcombo}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%docdir %{_prefix}/System/Library/Documentation/*

%{_prefix}/System/Library/Headers/%{libcombo}/Renaissance
%{_prefix}/System/Library/Libraries/%{gscpu}/%{gsos}/%{libcombo}/lib*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Renaissance.spec,v $
Revision 1.9  2005/09/06 20:33:36  arekm
- rel 5

Revision 1.8  2004/11/07 21:47:37  havner
- [mass commit] rel up for rebuild

Revision 1.7  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.6  2004/09/30 23:33:36  aredridel
- return of apps; build had failed because of gnustep-make tar issue

Revision 1.5  2004/09/30 18:13:18  aredridel
- rel 3 to rebuild

Revision 1.4  2004/07/05 22:08:02  qboosh
- -devel R: gnustep-gui-devel

Revision 1.3  2004/07/05 18:33:31  qboosh
- fixed build on amd64, release 2

Revision 1.2  2004/04/12 22:28:02  qboosh
- pl

Revision 1.1  2004/04/12 20:27:09  aredridel
- added
